TestHarness.LocalRequestFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.util.TestHarness.LocalRequestFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class TestHarness.LocalRequestFactory

    java.lang.Object
      org.apache.solr.util.TestHarness.LocalRequestFactory

Enclosing class:
  TestHarness

    public class TestHarness.LocalRequestFactory

extends Object

A Factory that generates LocalSolrQueryRequest objects using a specified set of default options.

Field Summary
`Map<String,String>` | `args`
`int` | `limit`
`String` | `qtype`
`int` | `start`

Constructor Summary
`TestHarness.LocalRequestFactory()`

Method Summary
`org.apache.solr.request.LocalSolrQueryRequest` | `makeRequest(String... q)` Creates a LocalSolrQueryRequest based on variable args; for historical reasons, this method has some peculiar behavior: If there is a single arg, then it is treated as the "q" param, and the LocalSolrQueryRequest consists of that query string along with "qt", "start", and "rows" params (based on the qtype, start, and limit properties of this factory) along with any other default "args" set on this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qtype

    public String qtype

### start

    public int start

### limit

    public int limit

### args

    public Map<String,String> args

Constructor Detail

### TestHarness.LocalRequestFactory

    public TestHarness.LocalRequestFactory()

Method Detail

### makeRequest

    public org.apache.solr.request.LocalSolrQueryRequest makeRequest(String... q)

  Creates a LocalSolrQueryRequest based on variable args; for historical reasons, this method has some peculiar behavior:
  - If there is a single arg, then it is treated as the "q" param, and the LocalSolrQueryRequest consists of that query string along with "qt", "start", and "rows" params (based on the qtype, start, and limit properties of this factory) along with any other default "args" set on this factory.
  - If there are multiple args, then there must be an even number of them, and each pair of args is used as a key=value param in the LocalSolrQueryRequest. NOTE: In this usage, the "qtype", "start", "limit", and "args" properties of this factory are ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD